/*
 @context editor
 */

AJS.bind('init.rte', function () {
    AJS.$.noemailstorm.init()
});

AJS.$.noemailstorm = {

    init: function () {
        var s = this;
        if (s.is_checkbox_visible(s.get_checkbox())) {
            s.insert_btn(s.get_btn());
        }
    },

    insert_btn: function (btn) {
        var s = this;
	AJS.$('button#rte-button-publish').parent().css('margin','0');
        AJS.$('button#rte-button-publish').parent().after(btn);

        s.get_checkbox().parent().hide();
        s.get_checkbox().attr('checked', false);

        AJS.$("button#save-and-notify").click(function () {
            s.get_checkbox().attr('checked', 'checked');
            AJS.$('button#rte-button-publish').click();
        });
    },

    get_btn: function () {
        return AJS.$('<div id="no-email-storm-button-container" class="save-button-container"><button id="save-and-notify" class="toolbar-trigger aui-button" data-tooltip="Save your page and send notification to all watchers">Save &amp; Notify</button></div>');
    },

    get_checkbox: function () {
        return AJS.$('input#notifyWatchers');
    },

    is_checkbox_visible: function (checkbox) {
        return checkbox.is(':visible');
    }

};